> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/cms/api-cms-pending-comments.md).

# /api/cms/pending‑comments

## PATCH /api/cms/pending-comments

> Update status of pending comments

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/pending-comments"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_cms_pending-comments":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["review_status"]}}},"paths":{"/api/cms/pending-comments":{"patch":{"description":"Update status of pending comments","tags":["/api/cms/pending-comments"],"parameters":[{"name":"cms_set_id","in":"query","schema":{"default":0,"type":"integer"},"required":false},{"name":"cms_area_id","in":"query","schema":{"default":0,"type":"integer"},"required":false},{"name":"deleted","in":"query","schema":{"default":0,"type":"string"},"required":false},{"name":"review_status","in":"query","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_cms_pending-comments"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_cms_pending-comments"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_cms_pending-comments"}}}}}}}}}
```
